Merge lp:~ourdelta-core/ourdelta/ourdelta-mysql-5.0.77-configtest into lp:~ourdelta-core/ourdelta/ourdelta-mysql-5.0.77

Proposed by Cafuego
Status: Merged
Merged at revision: not available
Proposed branch: lp:~ourdelta-core/ourdelta/ourdelta-mysql-5.0.77-configtest
Merge into: lp:~ourdelta-core/ourdelta/ourdelta-mysql-5.0.77
Diff against target: None lines
To merge this branch: bzr merge lp:~ourdelta-core/ourdelta/ourdelta-mysql-5.0.77-configtest
Reviewer Review Type Date Requested Status
Arjen Lentz Approve
Review via email: mp+4652@code.launchpad.net
To post a comment you must log in.
Revision history for this message
Cafuego (cafuego) wrote :

Configtest stuff

49. By Arjen Lentz

Merge from cafuego's configtest branch
(includes fixes for both general and debian)

Revision history for this message
Arjen Lentz (arjen-lentz) :
review: Approve

Preview Diff

[H/L] Next/Prev Comment, [J/K] Next/Prev File, [N/P] Next/Prev Hunk
1=== added file '.bzrignore'
2=== modified file 'bakery/debian-5.0/patches/00list'
3--- bakery/debian-5.0/patches/00list 2008-10-21 00:58:43 +0000
4+++ bakery/debian-5.0/patches/00list 2009-03-19 05:58:44 +0000
5@@ -1,6 +1,7 @@
6 01_MAKEFILES__Docs_Images_Makefile.in.dpatch
7 01_MAKEFILES__Docs_Makefile.in.dpatch
8 25_mysys__default.c.dpatch
9+35_init__openquery_configtest.dpatch
10 36_scripts__mysqld_safe.sh__percona_syslog_undo.dpatch
11 37_scripts__mysqld_safe.sh__syslog.dpatch
12 38_scripts__mysqld_safe.sh__signals.dpatch
13
14=== added file 'bakery/debian-5.0/patches/35_init__openquery_configtest.dpatch'
15--- bakery/debian-5.0/patches/35_init__openquery_configtest.dpatch 1970-01-01 00:00:00 +0000
16+++ bakery/debian-5.0/patches/35_init__openquery_configtest.dpatch 2009-03-19 05:58:44 +0000
17@@ -0,0 +1,33 @@
18+#! /bin/sh /usr/share/dpatch/dpatch-run
19+## 35_init__openquery_configtest.dpatch by <me@cafuego.net>
20+##
21+## All lines beginning with `## DP:' are a description of the patch.
22+## DP: init__openquery_configtest.dpatch
23+
24+@DPATCH@
25+
26+--- old/debian/mysql-server-5.0.mysql.init.orig 2008-12-19 12:03:30.379898336 +1100
27++++ new/debian/mysql-server-5.0.mysql.init 2008-12-19 12:04:46.660451093 +1100
28+@@ -182,8 +182,21 @@
29+ fi
30+ ;;
31+
32++ 'configtest')
33++ log_daemon_msg "Testing MySQL configuration" "syntax"
34++ set +e
35++ help_out=`/usr/sbin/mysqld --help 2>&1`; r=$?
36++ set -e
37++ if [ "$r" -ne 0 ]; then
38++ log_failure_msg "$help_out"
39++ log_failure_msg "There are syntax errors in the server configuration. Please fix them!"
40++ fi
41++ log_end_msg $r
42++ exit $r
43++ ;;
44++
45+ *)
46+- echo "Usage: $SELF start|stop|restart|reload|force-reload|status"
47++ echo "Usage: $SELF start|stop|restart|reload|force-reload|status|configtest"
48+ exit 1
49+ ;;
50+ esac
51
52=== added directory 'mysql/5.0/ourdelta/configtest'
53=== added file 'mysql/5.0/ourdelta/configtest/configtest.patch'
54--- mysql/5.0/ourdelta/configtest/configtest.patch 1970-01-01 00:00:00 +0000
55+++ mysql/5.0/ourdelta/configtest/configtest.patch 2009-03-19 05:58:44 +0000
56@@ -0,0 +1,38 @@
57+Index: mysql-5.0.77/support-files/mysql.server.sh
58+===================================================================
59+--- mysql-5.0.77.orig/support-files/mysql.server.sh
60++++ mysql-5.0.77/support-files/mysql.server.sh
61+@@ -424,7 +424,32 @@ case "$mode" in
62+ fi
63+ fi
64+ ;;
65+- *)
66++ 'configtest')
67++ # Try to find the mysqld binary.
68++ echo $echo_n "Testing MySQL configuration syntax"
69++ if test -x $sbindir/mysqld
70++ then
71++ mysql_daemon=$sbindir/mysqld
72++ elif test -x $libexecdir/mysqld
73++ then
74++ mysql_daemon=$libexecdir/mysqld
75++ elif test -x `which mysqld`
76++ then
77++ mysql_daemon=`which mysqld`
78++ else
79++ log_failure_msg "Unable to locate the mysqld binary!"
80++ exit 1
81++ fi
82++ help_out=`$mysql_daemon --help 2>&1`; r=$?
83++ if test "$r" != 0 ; then
84++ log_failure_msg "$help_out"
85++ log_failure_msg "There are syntax errors in the server configuration. Please fix them!"
86++ else
87++ log_success_msg "Syntax OK"
88++ fi
89++ exit $r
90++ ;;
91++ *)
92+ # usage
93+ echo "Usage: $0 {start|stop|restart|reload|force-reload|status} [ MySQL server options ]"
94+ exit 1
95
96=== modified file 'mysql/5.0/patches-build-ourdelta'
97--- mysql/5.0/patches-build-ourdelta 2009-03-18 06:35:34 +0000
98+++ mysql/5.0/patches-build-ourdelta 2009-03-19 05:58:44 +0000
99@@ -3,6 +3,7 @@
100 #
101 ourdelta/version/version.patch
102 ourdelta/mysql_install_db/mysql_install_db.patch
103+ourdelta/configtest/configtest.patch
104 #
105 percona_maintained/show_patches.patch
106 #

Subscribers

People subscribed via source and target branches

to all changes: